Redmine - Feature #20691

Add ballot boxes (0,0 ,0) to Lists in Wiki Textile/Mardown (Redcarpet)
2015-09-07 16:22 - Hans Ginzel

Status: Closed Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

Add please ballot boxes

m] U+2610 ballot box
U+2611 ballot box with check
U+2612 ballot box with cross

to Lists in both Textile and Markdown (RedCarpet) formatting engines.

It is a good convention from Zim. http:/zim-wiki.org/manual/Help/Wiki_Syntax.html#Lists

Related issues:
Is duplicate of Redmine - Feature #20698: Add support for task list items in ... New

History

#1 - 2015-09-07 16:27 - Hans Ginzel

http://stackoverflow.com/questions/658044/tick-symbol-in-html-xhtml

RedCarpet

#2 - 2015-10-12 16:19 - Toshi MARUYAMA
- Related to Feature #20698: Add support for task list items in Textile formatting added

#3 - 2018-02-09 17:16 - Stéphane Lavergne

FYI this can be accomplished somewhat cleanly by creating macros in a plugin. This is the quick hack which | used, saved as
plugins/redmine_wiki_checkboxes/init.rb:

require 'redmine'

Redmine: :Plugin.register :redmine_wiki_checkboxes do
name 'Redmine Wiki Checkboxes plugin'
author 'Stephane Lavergne'
description 'Adds x, z and o formatting macros'
version '0.0.2"'
url 'https://github.com/vphantom'
author_url 'https://github.com/vphantom'
requires_redmine :version_or_higher => '3.4.0"'

end

Redmine: :WikiFormatting: :Macros.register do
desc "Unchecked checkbox"
macro :o0 do |obj, args]
'<b style="font-size:133%;">&#x2610;</b>'.html_safe
end
end

Redmine: :WikiFormatting: :Macros.register do
desc "Checked checkbox"
macro :x do |obj, args]
'<b style="font-size:133%;color:#009900; ">&#x2611;</b>"'.html_safe
end
end
http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting#Unordered-lists
https://github.com/alminium/redmine_redcarpet_formatter
http://www.zim.org/
http://zim-wiki.org/manual/Help/Wiki_Syntax.html#Lists
http://stackoverflow.com/questions/658044/tick-symbol-in-html-xhtml
http://www.fileformat.info/info/unicode/char/2610/index.htm
http://www.fileformat.info/info/unicode/char/2611/index.htm
http://www.fileformat.info/info/unicode/char/2612/index.htm
https://github.com/vmg/redcarpet

Redmine: :WikiFormatting: :Macros.register do
desc "Crossed checkbox"
macro :z do |obj, args]
'<b style="font-size:133%;color:#bb0000;">&#x2612;</b>"'.html_safe
end
end

They cannot be used as list bullets per se, but it still opens decent possibilities.

#4 - 2022-01-22 10:57 - Marius BALTEANU
- Related to deleted (Feature #20698: Add support for task list items in Textile formatting)

#5 - 2022-01-22 10:57 - Marius BALTEANU
- Is duplicate of Feature #20698: Add support for task list items in Textile formatting added

#6 - 2022-01-22 10:59 - Marius BALTEANU
- Status changed from New to Closed

- Resolution set to Duplicate

The CommonMark formatter that is available in Redmine 5.0.0 (#32424) allows adding task list items, please see #35742 for more details.

In #20698 we will track support for Textile.

#7 - 2022-01-22 11:00 - Marius BALTEANU

Also, having a crossed checkbox is not usual so | think we should not support this feature.
https://www.redmine.org/issues/32424
https://www.redmine.org/issues/35742
https://www.redmine.org/issues/20698
http://www.tcpdf.org

